package cn.com.qmth.examcloud.core.examwork.starter;

import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import cn.com.qmth.examcloud.core.examwork.base.enums.ExamProperty;
import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;

@SpringBootApplication
@Configuration
@EnableAutoConfiguration
@EnableJpaAuditing
@EnableTransactionManagement
@EnableEurekaClient
@EnableDiscoveryClient
@ComponentScan(basePackages = { "cn.com.qmth" })
@EntityScan(basePackages = { "cn.com.qmth" })
@EnableJpaRepositories(basePackages = { "cn.com.qmth" })
public class CoreExamWorkApp {

	static {
		String runtimeLevel = System.getProperty("log.commonLevel");
		if (null == runtimeLevel) {
			System.setProperty("log.commonLevel", "DEBUG");
		}
		System.setProperty("hibernate.dialect.storage_engine", "innodb");

		ExamProperty.init();
	}

	/**
	 * main
	 *
	 * @author WANGWEI
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		AppBootstrap.run(CoreExamWorkApp.class, args);
	}

}
